vexalarm.defaults.global = {
	["activate"] = false,
	["profile"] = "",
	}


--vexalarm_SV_general["enableAddon"]
vexalarm.defaults.general = {
	["version"] = 1,
	["enableAddon"] = true,
	
	["msgs"] = {
		["misc"] = {
			["allowServerName"] = false,
			["showTargetwhenCaster"] = true,
			},
		["buffWtarget"] = {
			["active"] = "[spell_cc] casted by [caster_cc] on [target_cc]",
			["inactive"] = "[spell_cc] casted by [caster_cc] on [target_cc]"},
		["buffWOtarget"] = {
			["active"] = "[spell_cc] casted by [caster_cc]",
			["inactive"] = "[spell_cc] casted by [caster_cc]"},
		["castWtarget"] = "[caster_cc] casted [spell_cc] on [target_cc]",
		["castWOtarget"] = "[caster_cc] casted [spell_cc]",
		["status"] = {
			["active"] = "active",
			["inactive"] = "inactive"},
		},
	}


-- vexalarm_SV_rw["forbidspelllinkrw"]
vexalarm.defaults.rw = {
	["activateOnlyInfight"] = true,
	["hideBuffFades"] = false,
	["activate"] = false,
	["forbidSpelllink"] = true,
	["warning"] = {
		["channel"] = "RAID_WARNING",
		["customChannel"] = "5",
		["rwInRaid"] = false,
		},
	["spellsToCheck"] = {
		["useSpellProfile"] = false,
		["spellProfile"] = "",
		},
	["msgs"] = {
		["misc"] = {
			["allowServerName"] = false,
			["showTargetwhenCaster"] = true,
			},
		["buffWtarget"] = {
			["active"] = "[spell] casted by [caster] on [target]",
			["inactive"] = "[spell] casted by [caster] on [target]"},
		["buffWOtarget"] = {
			["active"] = "[spell] casted by [caster]",
			["inactive"] = "[spell] casted by [caster]"},
		["castWtarget"] = "[caster] casted [spell] on [target]",
		["castWOtarget"] = "[caster] casted [spell]",
		["status"] = {
			["active"] = "active",
			["inactive"] = "inactive"},
		},
	}


vexalarm.defaults.frame = {
	["Mainframe"] = {
		["spellsToCheck"] = {
			["useSpellProfile"] = false,
			["spellProfile"] = "",
			},
		["sounds"] = {
			["enable"] = true,
			["buffApplied"] = {["file"] = "01", ["channel"] = "Master"},
			["buffFade"] = {["file"] = "27", ["channel"] = "Master"},
			["cast"] = {["file"] = "01", ["channel"] = "Master"},
			},
		["show"] = {
			["enableFrameOnlyInfight"] = false,
			["activateCheckOnlyInfight"] = false,
			["showGrpMembersOnly"] = true,
			["mySpells"] = true,
			},
		["fadeOutEffect"] = {
			["enable"] = true,
			["durationShow"] = 3,
			["durationVanish"] = 3,
			},
		["tagColors"] = {
			["active"] = 	{["HEX"] = "2cf22e",	["r"] = 0.176, 	["g"] = 0.968, 		["b"] = 0.184},
			["inactive"] = 	{["HEX"] = "bb3232",	["r"] = 0.749, 	["g"] = 0.204, 		["b"] = 0.204},
			["caster_sc"] = {["HEX"] = "fa56f8", 	["r"] = 1, 		["g"] = 0.345, 		["b"] = 0.992},
			["target_sc"] = {["HEX"] = "1815fa", 	["r"] = 0.098, 	["g"] = 0.0862, 	["b"] = 1},
			["spell_sc"] = 	{["HEX"] = "ce4c0c", 	["r"] = 0.8274, ["g"] = 0.3058, 	["b"] = 0.05098},
			},
			
-- vexalarm_SV_frame[frame]["design"]["position"]["bg"]
-- vexalarm_SV_frame[frame]["design"]["position"]["frame"]
		["design"] = {
			["scrolling"] = {
				["enable"] = false,
				["scrolldown"] = false,
				},
			["text"] = {
				["font"] = "Friz Quadrata TT",
				["align"] = "LEFT",
				["size"] = 9,
				["outline"] = "OUTLINE",
				["color"] = {
					["active"] = {["r"] = 1, ["g"] = 1, ["b"] = 1, ["a"] = 1},
					["inactive"] = {["r"] = 1, ["g"] = 0, ["b"] = 0, ["a"] = 1},
					},			
				},
			["maxEvents"] = 5,
			["position"] = {
				["warnings"] = {["x"] = 20, ["y"] = 0, ["spacing"] = 20,},
				["frame"] = {["x"] = 0, ["y"] = 0, ["anchor"] = "CENTER", ["frameanchor"] = "CENTER"},
				},
			["size"] = {["width"] = 300, ["height"] = 200},
			["bg"] = {
				["texture"] = "Solid",
				["color"] = {["r"] = 0, ["g"] = 0, ["b"] = 0, ["a"] = 0.25},
				},
			["border"] = {
				["texture"] = "None",
				["size"] = 1,
				["color"] = {["r"] = 0, ["g"] = 0, ["b"] = 0, ["a"] = 1},
				},
			},
		},
	}
	